import graph;
size(200,200);
real f(real x) {return sqrt(x^2+9);}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=3.5,Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-3,3,operator ..),red+2);
dot(F(0),4+black);
label("$(0,3)$",F(0),SE);
label("$F(x)=\sqrt {x^2+9}$",F(3),NW);

