import graph;
size(250,250);
real f(real x) {return x^3-3*x-2;}
pair F(real x) {return (x,f(x));}
draw(graph(f,-2,2.15,operator ..),red+2);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
dot(F(-1),4+black);
label("$(-1,0)$",F(-1),N);
dot(F(1),4+black);
label("$(1,-4)$",F(1),S);
xtick("$2$",2);
label("$f(x)=x^3-3x-2$",F(2.15),NNW);

