import graph;
size(200,200,IgnoreAspect);
real f(real x) {return 600*x/(4+x)-6*x;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=110,Arrow(HookHead,size=4));
yaxis("$A$",ymin=0,ymax=430,Arrow(HookHead,size=4));
draw(graph(f,0,96,operator ..),red+2);
dot(F(16),4+black);
//label("$\left(16,384\right)$",F(16),NE);
xtick("$0$",0);
xtick("$16$",16);
xtick("$96$",96);
ytick("$384$",384);
label("$\displaystyle A(x)=\frac{600x}{4+x}-6x$",F(40),NE);

