import graph;
//size(200,200,IgnoreAspect);
size(200,200);
real f(real x) {return sqrt(x^2+1);}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=2,Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-2,2,operator ..),red+2);
draw((1,0) .. F(1.5),black+1+dashed);
dot((0,0),7+red);
dot((1,0),6+blue);
label("$(1,0)$",(1,0),NW);
dot(F(1.5),5+black);
label("$P(x,y)$",F(1.5),NW);
label("$d$",(1.3,.9),E);
label("$\displaystyle y=\sqrt{x^2+1}$",F(-.6),SW);
