import graph;
size(250,0);
real f(real x) {return (x-3)^2+1;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=6,Arrow(HookHead,size=4));
yaxis("$y$",ymax=6,Arrow(HookHead,size=4));
draw(graph(f,2,5,operator ..),red+2);
draw(F(2)..F(5),purple+2);
draw((3,.75)..(4,1.75),blue+2);
label("$f(x)$",F(4.25),NW);
label("$A$",F(2),NW);
label("$B$",F(5),NW);
label("$C$",F(3.5),SE);
xequals(2,ymin=0,ymax=f(2),dotted);
xequals(5,ymin=0,ymax=f(5),dotted);
xequals(3.5,ymin=0,ymax=f(3.5),dashed);
labelx("$a$",2,S);
labelx("$b$",5,S);
labelx("$c$",3.5,S);
dot(F(2),4+black);
dot(F(2),3+red);
dot(F(5),4+black);
dot(F(5),3+red);
dot(F(3.5),4+black);

