import graph;
size(125,0);
real f(real x) {return sqrt(1-x^2)+.5;}
pair F(real x) {return (x,f(x));}
real g(real x) {return sqrt(1-(x-2)^2)+.5;}
pair G(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,0.2,1,operator ..),red+2);
draw(graph(g,1,2.8,operator ..),red+2);
//label("$f(x)=|x|$",F(1),SE);
labelx("$a$",1,S);
xequals(1, ymin=.1, ymax=1.25, dashed);
