import graph;
import geometry;
size(250,0);
add(shift(-5,-3)*grid(12,10,gray+linetype("4 4")));
real f(real x) {return -1/(x+1)+1;}
pair F(real x) {return (x,f(x));}
real g(real x) {return -1/(x+1)+7/3;}
pair G(real x) {return (x,g(x));}
real h(real x) {return -2sqrt(1-(x-2)^2)+6;}
pair H(real x) {return (x,h(x));}
real j(real x) {return -3sqrt(1-(x-5)^2/2^2)+6;}
pair J(real x) {return (x,j(x));}
real k(real x) {return (x-5)^2+2;}
pair K(real x) {return (x,k(x));}
xaxis(shift(-10,-10)*Label("$x$",fontsize(10),align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(9)),OmitFormat(-5),OmitTick(0,7)));
yaxis(shift(-8,-10)*Label("$y$",fontsize(10),align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(9)),OmitFormat(-3),OmitTick(0,7)));
//xaxis("$x$",Arrow(HookHead,size=4));
//yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-5,-1.175,operator ..),red+2);
draw(graph(g,-.8,2,operator ..),red+2);
draw(graph(h,2,3,operator ..),red+2);
draw(graph(j,3,5,operator ..),red+2);
draw(graph(k,5,7,operator ..),red+2);
dot((-1,2),4+black);
dot((-1,2),3+red);
dot(G(2),4+black);
dot(G(2),3+white);
dot(H(2),4+black);
dot(H(2),3+red);
dot(H(3),4+black);
dot(H(3),3+red);
dot(J(5),4+black);
dot(J(5),3+white);
dot(K(5),4+black);
dot(K(5),3+red);
label(shift(-2,2)*Label("$f(x)$",fontsize(9)),(6,2.5),E);
//dot(F(pi/4),3+red);
//dot(G(pi/4),4+black);
//dot(G(pi/4),3+white);
//labelx("$a$",pi/4,S);
