import graph;
size(125,0);
real f(real x) {return x^4;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-1.2,1.2,operator ..),red+2);
label("$f(x)=x^4$",F(1.1),NW);
