import graph;
size(125,0);
real f(real x) {return 1/x;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",-2.2,Arrow(HookHead,size=4));
yaxis("$y$",-2,2,Arrow(HookHead,size=4));
draw(graph(f,-2,-.5,operator ..),red+2);
draw(graph(f,.5,2,operator ..),red+2);
label("$h(x)=x^{-1}$",(.5,-.5),SE);
