import graph;
size(150,0);
real f(real x) {return 2^x;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",0,Arrow(HookHead,size=4));
draw(graph(f,-4,3,operator ..),red+2);
label("$f(x)=2^x$",F(1.1),SE);
labely(1,L=Label("$1$",fontsize(10)),E);
