import graph;
size(150,0);
real f(real x) {return x^4-5x^2;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",-3,3,Arrow(HookHead,size=4));
yaxis("$y$",ymax=f(2.4),Arrow(HookHead,size=4));
draw(graph(f,-2.35,2.35,operator ..),red+2);
dot(F(2.3),L=Label("$(x,y)$",align=NW),6+black);
dot(F(-2.3),L=Label("$(-x,y)$",align=NE),6+black);
draw(F(-2.3)--F(2.3),blue+1+dashed,Arrows(size=8));
label("$f(x)=x^4-5x^2$",F(2.35),N);

