import graph;
size(200,0);
real f(real x) {return 1-1/2*x^2+1/27*x^3+1/21*x^4;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-4,3.5,operator ..),red+2);
label("$y=f(x)$",F(-3.7),NE);
