// This imports our locally defined custom asymptote functions
import localcalculus;
size(200,0);
real low=0, high=1;
real f(real x) {return x^3;}
pair F(real x) {return (x,f(x));}
//drawfunc(f,low-.5,high+.5,drawpen=black+1,fillpen=grey);
drawfunc(f,low,high,drawpen=red+1,fillpen=lightgrey);
xaxis("$x$",0,1.1,Arrow(HookHead,size=4),above=true);
yaxis("$y$",-.03,1,Arrow(HookHead,size=4));
real d=.03;
label("$0$", (low,-d),S);
label("$1$", (high,-d),S);
xequals(high,ymin=-d,ymax=f(high),dashed);
label("$S$", (.75,.2),N);
label("$y=x^3$", F(.9),W);
