// This imports our locally defined custom asymptote functions
import localcalculus;
size(200,0);
int n=8;
real low=0, high=1;
real f(real x) {return x^3;}
pair F(real x) {return (x,f(x));}
//drawcontinuousbarrange(h(x), n, a, b, shift, drawpen, fillpen)
//shift=0.0 is left endpoint evaluation (default), .5 is midpoint, 1.0 is right.
drawcontinuousbarrange(f, n, low, high, 1.0, black+1, lightgray);
drawfunc(f,low,high,drawpen=red+1,fillpen=invisible);
xaxis(shift(-7,-10)*Label("$x$",align=E),0,1.1,RightTicks(Step=1, Size=4),Arrow(HookHead,size=4));
yaxis("$y$",-.03,1,Arrow(HookHead,size=4));
