import graph;
size(200,0);
real f(real x) {return -0.5*x+4;}
pair F(real x) {return (x,f(x));}
real g(real x) {return tan(0.25*3.14159*(x-2))+2;}
pair G(real x) {return (x,g(x));}
real h(real x) {return -1/4*(x-4)^2+2;}
pair H(real x) {return (x,h(x));}
draw(graph(f,-2,2,operator ..),red+2);
draw(graph(g,2,3.65,operator ..),red+2);
draw(graph(h,4,6,operator ..),red+2);
dot(F(2),4+black);
dot(F(2),3+white);
dot(G(2),4+black);
dot(G(2),3+red);
dot(H(4),4+black);
dot(H(4),3+red);
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(-2,6),OmitTick(-2,6)),above=true);
yaxis(ymax=6,shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,6)),above=true);

