import graph;
size(200,200,IgnoreAspect);
real f(real x) {return 2*x^2-x+2;}
pair F(real x) {return (x,f(x));}
draw(graph(f,0,5,operator ..),red+2);
xaxis(shift(-7,-10)*Label("$x$",align=E),xmax=5.5,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10))),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N),ymin=0,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=10,Size=3,Label(fontsize(10))),above=true);
xequals(1,0,f(1),dashed);
xequals(4,0,f(4),dashed);
label("$\mathcal {R}$",(2.5,f(2.5)/2),E);

