import graph;
//import geometry;
size(150,0);
real f(real x) {return x^3;}
pair F(real x) {return (x,f(x));}
//xaxis(shift(-10,-10)*Label("$x$",fontsize(10),align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(9)),OmitFormat(-5),OmitTick(0,9)));
//yaxis(shift(-8,-10)*Label("$y$",fontsize(10),align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(9)),OmitFormat(-3),OmitTick(0,7)));
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-1.4,1.4,operator ..),red+2);
//label(shift(-2,2)*Label("$f(x)$",fontsize(9)),F(1.4),E);
label("$f(x)=x^3$",F(1.2),W);
draw((0.18, -0.115)--(0.82, 0.365),purple+2);
dot(F(.5),4+black);
draw((0.874, 0.621)--(1.126, 1.379),purple+2);
dot(F(1),4+black);
draw((1.223,1.805)--(1.377, 2.589),purple+2);
dot(F(1.3),4+black);

draw((-0.18, 0.115)--(-0.82, -0.365),blue+2);
dot(F(-.5),4+black);
draw((-0.874, -0.621)--(-1.126, -1.379),blue+2);
dot(F(-1),4+black);
draw((-1.223,-1.805)--(-1.377, -2.589),blue+2);
dot(F(-1.3),4+black);
draw((-1.4,-3)--(0,-3),blue,Arrow(size=6));
label(Label("Concave Down",fontsize(10)+blue),(-.7,-3),S);
draw((0,-3)--(1.4,-3),purple,Arrow(size=6));
label(Label("Concave Up",fontsize(10)+purple),(.7,-3),S);
dot(F(-1),4+black);
dot(F(1),4+black);
