import graph;
//import geometry;
size(300,0);
real f(real x) {return -2*atan(5*x)/(pi/2)+1;}
pair F(real x) {return (x,f(x));}
//xaxis(shift(-10,-10)*Label("$x$",fontsize(10),align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(9)),OmitFormat(-5),OmitTick(0,9)));
//yaxis(shift(-8,-10)*Label("$y$",fontsize(10),align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(9)),OmitFormat(-3),OmitTick(0,7)));
xaxis("$x$", Arrow(HookHead,size=4));
yaxis("$y$",ymin=-2, ymax=4, Arrow(HookHead,size=4));
draw(graph(f,-4,4,operator ..),red+2);
yequals(3, xmin=-4, xmax=-1, dashed);
yequals(3, xmin=-.05, xmax=.05, dashed);
//yequals(-1, xmin=-4, xmax=-1.2, dashed);
yequals(-1, xmin=-.05, xmax=4, dashed);
labely(3,"$L=3$");
labely(-1,"$L=-1$");
//label(shift(-2,2)*Label("$f(x)$",fontsize(9)),F(1.4),E);
label("$y=f(x)$",F(3),N);
