import graph;
size(200,200,IgnoreAspect);
real f(real x) {return 2x^2-2x+2;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=2,Arrow(HookHead,size=4));
yaxis("$D$",ymin=0,Arrow(HookHead,size=4));
draw(graph(f,-1,2,operator ..),red+2);
dot(F(1/2),4+black);
//label("$\displaystyle\left(\frac{1}{2},\frac{3}{2}\right)$",F(1/2),S);
xtick("$\displaystyle\frac{1}{2}$",1/2);
ytick("$\displaystyle\frac{3}{2}$",3/2);
label("$\displaystyle D(x)=2x^2-2x+2$",(0.05,5),E);

