import graph;
import geometry;
size(150,0);
real f(real x) {return x^3;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-1.4,1.4,operator ..),red+2);
label("$f(x)=x^3$",F(1.2),W);
draw((-1.4,-.5)--(1.4,-.5),purple,Arrow(size=6));
label(Label("Increasing",fontsize(14)+purple),(0,-.5),S);

