import graph;
size(150,0);
real f(real x) {return sqrt(x**3+1);}
pair F(real x) {return (x,f(x));}
real g(real x) {return -sqrt(x**3+1);}
pair G(real x) {return (x,g(x));}
xaxis("$x$",xmin=-2,xmax=2.5,Arrow(HookHead,size=4));
yaxis("$y$",ymin=g(2.5),ymax=f(2.5),Arrow(HookHead,size=4));
draw(graph(f,-1,2.5,operator --),red+2);
label("$y=\sqrt{x^3+1}$",(0.2,1),SE);
dot(F(2),black+5);
label("$(2,3)$",F(2),W);
labelx("$-1$",-1);
