import graph;
size(150,0);
real f(real x) {return sqrt(x**3+1);}
pair F(real x) {return (x,f(x));}
real g(real x) {return -sqrt(x**3+1);}
pair G(real x) {return (x,g(x));}
//real h(real x) {return -2*(x-2)-3;}
xaxis("$x$",xmin=-2,xmax=2.5,Arrow(HookHead,size=4));
yaxis("$y$",ymin=g(2.5),ymax=f(2.5),Arrow(HookHead,size=4));
draw(graph(f,-1,2.5,operator --),blue+2);
draw(graph(g,-1,2.5,operator --),blue+2);
//draw(graph(h,1.5,2.5,operator --),purple+2);
label("$y^2-x^3=1$",(0.2,1),SE);
dot(F(2),black+5);
dot(G(2),black+5);
label("$(2,3)$",F(2),W);
label("$(2,-3)$",G(2),W);
labelx("$-1$",-1);
