import graph;
size(125,0);
real f(real x) {return sqrt(x);}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,0,2,operator ..),red+2);
label("$g(x)=x^{\frac{1}{2}}$",F(1),SE);
