import graph;
size(200,200,IgnoreAspect);
real f(real x) {return -1/4*x^4+2*x^2-2;}
pair F(real x) {return (x,f(x));}
draw(graph(f,-2.85,2.85,operator ..),red+2);
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(-3,3)),above=true);
yaxis(shift(-8,-7)*Label("$y$",align=N),ymax=2.5,Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0)),above=true);

