import graph;
size(300,0);
real f(real x) {return .5/abs(x+1);}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmax=6.4,Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-4,-1.1,operator --),red+2);
draw(graph(f,-.9,6,operator --),red+2);
xequals(-1,ymin=0,ymax=5,dashed);
labelx("$-1$",-1,S);
label("$\displaystyle\lim_{x\rightarrow-1}f(x)=\infty$",(-1.5,2),W);
