import graph;
size(250,0);
real f(real x) {return .5/abs(x-1)+.2sin(4*x)+.5;}
pair F(real x) {return (x,f(x));}
real g(real x) {return .5*x+2;}
pair G(real x) {return (x,g(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,1.1,6,operator --),red+2);
draw(graph(g,-6,0.9,operator --),red+2);
xequals(1,ymin=0,ymax=6,dashed);
labelx("$a$",1,S);
label("$\displaystyle \lim _{x\rightarrow a^+}f(x)=\infty $",(2,2),E);
dot(G(1),4+black);
dot(G(1),3+white);

