import graph;
size(250,0);
real f(real x) {return -.6/(x+1)-1;}
pair F(real x) {return (x,f(x));}
real g(real x) {return -.6/(x+1)-1;}
pair G(real x) {return (x,g(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-6,-1.1,operator --),red+2);
draw(graph(g,-.9,6,operator --),red+2);
xequals(-1,ymin=-7,ymax=5,dashed);
labelx("$a$",-1,SE);
label("$\displaystyle \lim _{x\rightarrow a^-}f(x)=\infty $",(-2,1),W);
label("$\displaystyle \lim _{x\rightarrow a^+}f(x)=-\infty $",(0,-3),E);
dot((-1,-2),4+black);
dot((-1,-2),3+red);

